Bug 1290977 - Pulseaudio does not play sound after resume [NEEDINFO]
Pulseaudio does not play sound after resume
Status: NEW
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 05:48 EST by Zdenek Kabelac
Modified: 2018-02-20 10:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zkabelac: needinfo? (lpoetter)


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2015-12-12 05:48:01 EST
Description of problem:

After resume I've notice I cannot hear any sound no matter how I change volume for all knobs I know about.
I'm quite used to the problem that sound gets 'muted' for unknown reason - and I've to unmute it - but this was different.

As a 'fix'  I've just killed  pulseaudio process - and after this immediately I could hear the sound again.

So far I do not know any more details - if there is anything I could grab in this case - let me know.


Version-Release number of selected component (if applicable):

pulseaudio-7.1-1.fc24.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2015-12-12 05:49:19 EST
My HW:  Lenovo T61 

# uname -a
kernel 4.3.0-0.rc7.git2.2.fc24.x86_64

# uptime
11:48:42 up 10 days, 19:08, 11 users,  load average: 0,43, 0,29, 0,34
Comment 2 Jan Kurik 2016-02-24 09:08:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Zdenek Kabelac 2016-03-07 15:30:33 EST
Still applies on my Rawhide:

When this happens - I observe this 'strace' of pulseaudio:

Nothing suspicious from kernel after resume.

Any more info I can provide to get this fixed ?


read(3, "W", 10)                        = 1
read(3, 0x7ffe048b4970, 10)             = -1 EAGAIN (Resource temporarily unavailable)
ppoll([{fd=3, events=POLLIN}, {fd=74, events=POLLIN}, {fd=75, events=POLLIN}, {fd=71, events=POLLIN}, {fd=72, events=POLLIN}, {fd=68, events=POLLIN}, {fd=69, events=POLLIN}, {fd=65, events=POLLIN}, {fd=66, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=59, events=POLLIN}, {fd=60, events=POLLIN}, {fd=56, events=POLLIN}, {fd=57, events=POLLIN}, {fd=53, events=POLLIN}, {fd=54, events=POLLIN}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN}, {fd=48, events=POLLIN}, {fd=49, events=POLLIN}, {fd=45, events=POLLIN}, {fd=46, events=POLLIN}, {fd=42, events=POLLIN}, {fd=43, events=POLLIN}, {fd=39, events=POLLIN}, {fd=40, events=POLLIN}, {fd=36, events=POLLIN}, {fd=37, events=POLLIN}, {fd=8, events=POLLIN}, {fd=34, events=POLLIN}, {fd=15, events=POLLIN}, ...], 47, NULL, NULL, 8) = 1 ([{fd=60, revents=POLLIN}])
read(60, "\1\0\0\0\0\0\0\0", 8)         = 8
write(17, "\1\0\0\0\0\0\0\0", 8)        = 8
write(5, "W", 1)                        = 1
write(61, "\1\0\0\0\0\0\0\0", 8)        = 8
read(3, "W", 10)                        = 1
read(3, 0x7ffe048b4970, 10)             = -1 EAGAIN (Resource temporarily unavailable)
ppoll([{fd=3, events=POLLIN}, {fd=74, events=POLLIN}, {fd=75, events=POLLIN}, {fd=71, events=POLLIN}, {fd=72, events=POLLIN}, {fd=68, events=POLLIN}, {fd=69, events=POLLIN}, {fd=65, events=POLLIN}, {fd=66, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=59, events=POLLIN}, {fd=60, events=POLLIN}, {fd=56, events=POLLIN}, {fd=57, events=POLLIN}, {fd=53, events=POLLIN}, {fd=54, events=POLLIN}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN}, {fd=48, events=POLLIN}, {fd=49, events=POLLIN}, {fd=45, events=POLLIN}, {fd=46, events=POLLIN}, {fd=42, events=POLLIN}, {fd=43, events=POLLIN}, {fd=39, events=POLLIN}, {fd=40, events=POLLIN}, {fd=36, events=POLLIN}, {fd=37, events=POLLIN}, {fd=8, events=POLLIN}, {fd=34, events=POLLIN}, {fd=15, events=POLLIN}, ...], 47, NULL, NULL, 8) = 2 ([{fd=63, revents=POLLIN}, {fd=57, revents=POLLIN}])
read(63, "\1\0\0\0\0\0\0\0", 8)         = 8
write(17, "\1\0\0\0\0\0\0\0", 8)        = 8
write(5, "W", 1)                        = 1
write(64, "\1\0\0\0\0\0\0\0", 8)        = 8
read(57, "\1\0\0\0\0\0\0\0", 8)         = 8
write(17, "\1\0\0\0\0\0\0\0", 8)        = 8
write(5, "W", 1)                        = 1
write(58, "\1\0\0\0\0\0\0\0", 8)        = 8
read(3, "WW", 10)                       = 2
read(3, 0x7ffe048b4970, 10)             = -1 EAGAIN (Resource temporarily unavailable)
ppoll([{fd=3, events=POLLIN}, {fd=74, events=POLLIN}, {fd=75, events=POLLIN}, {fd=71, events=POLLIN}, {fd=72, events=POLLIN}, {fd=68, events=POLLIN}, {fd=69, events=POLLIN}, {fd=65, events=POLLIN}, {fd=66, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=59, events=POLLIN}, {fd=60, events=POLLIN}, {fd=56, events=POLLIN}, {fd=57, events=POLLIN}, {fd=53, events=POLLIN}, {fd=54, events=POLLIN}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN}, {fd=48, events=POLLIN}, {fd=49, events=POLLIN}, {fd=45, events=POLLIN}, {fd=46, events=POLLIN}, {fd=42, events=POLLIN}, {fd=43, events=POLLIN}, {fd=39, events=POLLIN}, {fd=40, events=POLLIN}, {fd=36, events=POLLIN}, {fd=37, events=POLLIN}, {fd=8, events=POLLIN}, {fd=34, events=POLLIN}, {fd=15, events=POLLIN}, ...], 47, NULL, NULL, 8) = 1 ([{fd=21, revents=POLLIN}])
read(21, "\1\0\0\0\0\0\0\0", 8)         = 8
write(17, "\1\0\0\0\0\0\0\0", 8)        = 8
write(5, "W", 1)                        = 1
write(28, "\1\0\0\0\0\0\0\0", 8)        = 8
read(3, "W", 10)                        = 1
read(3, 0x7ffe048b4970, 10)             = -1 EAGAIN (Resource temporarily unavailable)
ppoll([{fd=3, events=POLLIN}, {fd=74, events=POLLIN}, {fd=75, events=POLLIN}, {fd=71, events=POLLIN}, {fd=72, events=POLLIN}, {fd=68, events=POLLIN}, {fd=69, events=POLLIN}, {fd=65, events=POLLIN}, {fd=66, events=POLLIN}, {fd=62, events=POLLIN}, {fd=63, events=POLLIN}, {fd=59, events=POLLIN}, {fd=60, events=POLLIN}, {fd=56, events=POLLIN}, {fd=57, events=POLLIN}, {fd=53, events=POLLIN}, {fd=54, events=POLLIN}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN}, {fd=48, events=POLLIN}, {fd=49, events=POLLIN}, {fd=45, events=POLLIN}, {fd=46, events=POLLIN}, {fd=42, events=POLLIN}, {fd=43, events=POLLIN}, {fd=39, events=POLLIN}, {fd=40, events=POLLIN}, {fd=36, events=POLLIN}, {fd=37, events=POLLIN}, {fd=8, events=POLLIN}, {fd=34, events=POLLIN}, {fd=15, events=POLLIN}, ...], 47, NULL, NULL, 8^Cstrace: Process 1113 detached


Wondering what this supposed to mean:

/proc/1113/fd

0 -> /dev/null
1 -> /dev/null
10 -> /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-stream-volumes.tdb
11 -> /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-card-database.tdb
12 -> anon_inode:inotify
13 -> socket:[22806]
14 -> socket:[22807]
15 -> /dev/snd/controlC0
16 -> anon_inode:[eventfd]
17 -> anon_inode:[eventfd]
18 -> anon_inode:[eventfd]
19 -> anon_inode:[eventfd]
2 -> /dev/null
20 -> socket:[23423]
21 -> anon_inode:[eventfd]
22 -> /dev/snd/controlC0
23 -> anon_inode:[eventfd]
24 -> anon_inode:[eventfd]
25 -> anon_inode:[eventfd]
26 -> anon_inode:[eventfd]
27 -> /dev/snd/controlC0
28 -> anon_inode:[eventfd]
29 -> socket:[22890]
3 -> pipe:[22801]
30 -> socket:[22893]
31 -> socket:[22895]
32 -> pipe:[22897]
33 -> anon_inode:inotify
34 -> anon_inode:[eventfd]
35 -> anon_inode:[eventfd]
36 -> socket:[23019]
37 -> anon_inode:[eventfd]
38 -> anon_inode:[eventfd]
39 -> socket:[23021]
4 -> socket:[24103]
40 -> anon_inode:[eventfd]
41 -> anon_inode:[eventfd]
42 -> socket:[23307]
43 -> anon_inode:[eventfd]
44 -> anon_inode:[eventfd]
45 -> socket:[23313]
46 -> anon_inode:[eventfd]
47 -> anon_inode:[eventfd]
48 -> socket:[24845]
49 -> anon_inode:[eventfd]
5 -> pipe:[22801]
50 -> anon_inode:[eventfd]
51 -> /dev/snd/controlC0
52 -> /dev/snd/pcmC0D0p
53 -> socket:[23433]
54 -> anon_inode:[eventfd]
55 -> anon_inode:[eventfd]
56 -> socket:[23454]
57 -> anon_inode:[eventfd]
58 -> anon_inode:[eventfd]
59 -> socket:[23464]
6 -> pipe:[22804]
60 -> anon_inode:[eventfd]
61 -> anon_inode:[eventfd]
62 -> socket:[23474]
63 -> anon_inode:[eventfd]
64 -> anon_inode:[eventfd]
65 -> socket:[396432]
66 -> anon_inode:[eventfd]
67 -> anon_inode:[eventfd]
68 -> socket:[734507]
69 -> anon_inode:[eventfd]
7 -> pipe:[22804]
70 -> anon_inode:[eventfd]
71 -> socket:[734512]
72 -> anon_inode:[eventfd]
73 -> anon_inode:[eventfd]
74 -> socket:[733945]
75 -> anon_inode:[eventfd]
76 -> anon_inode:[eventfd]
8 -> socket:[23014]
9 -> /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-device-volumes.tdb



  FD      TYPE             DEVICE  SIZE/OFF    NODE NAME
 cwd       DIR                8,2      4096       2 /
 rtd       DIR                8,2      4096       2 /
 txt       REG                8,2     89560 1731072 /usr/bin/pulseaudio
 mem       REG                8,2     27624 1739764 /usr/lib64/pulse-8.0/modules/module-filter-apply.so
 mem       REG                8,2     15112 1739765 /usr/lib64/pulse-8.0/modules/module-filter-heuristics.so
 mem       REG                8,2     19168 1739786 /usr/lib64/pulse-8.0/modules/module-role-cork.so
 mem       REG                8,2     15072 1739782 /usr/lib64/pulse-8.0/modules/module-position-event-sounds.so
 mem       REG                8,2     15056 1739803 /usr/lib64/pulse-8.0/modules/module-systemd-login.so
 mem       REG                8,2     23448 1739800 /usr/lib64/pulse-8.0/modules/module-suspend-on-idle.so
 mem       REG                8,2     19184 1739769 /usr/lib64/pulse-8.0/modules/module-intended-roles.so
 mem       REG                8,2     15048 1739744 /usr/lib64/pulse-8.0/modules/module-always-sink.so
 mem       REG                8,2     19232 1739785 /usr/lib64/pulse-8.0/modules/module-rescue-streams.so
 mem       REG                8,2     15072 1739754 /usr/lib64/pulse-8.0/modules/module-default-device-restore.so
 mem       REG                8,2     15096 1704466 /usr/lib64/pulse-8.0/modules/module-gconf.so
 mem       REG                8,2     15024 1739777 /usr/lib64/pulse-8.0/modules/module-native-protocol-unix.so
 mem       REG                8,2     57072 1739735 /usr/lib64/pulse-8.0/modules/libprotocol-esound.so
 mem       REG                8,2     15032 1739762 /usr/lib64/pulse-8.0/modules/module-esound-protocol-unix.so
 mem       REG                8,2     81168 1739821 /usr/lib64/pulse-8.0/modules/libbluez5-util.so
 mem       REG                8,2     15128 1739826 /usr/lib64/pulse-8.0/modules/module-bluez5-discover.so
 mem       REG                8,2     10912 1739823 /usr/lib64/pulse-8.0/modules/module-bluetooth-discover.so
 mem       REG                8,2     15048 1739824 /usr/lib64/pulse-8.0/modules/module-bluetooth-policy.so
 mem       REG                8,2   1020736 1708922 /usr/lib64/libasound.so.2.0.0
 mem       REG                8,2    304824 1739732 /usr/lib64/pulse-8.0/modules/libalsa-util.so
 mem       REG                8,2     31496 1739741 /usr/lib64/pulse-8.0/modules/module-alsa-card.so
 mem       REG                8,2     27424 1739815 /usr/lib64/pulse-8.0/modules/module-udev-detect.so
 mem       REG                8,2     15128 1739802 /usr/lib64/pulse-8.0/modules/module-switch-on-port-available.so
 mem       REG                8,2     19552 1739745 /usr/lib64/pulse-8.0/modules/module-augment-properties.so
 mem       REG                8,2     23464 1739746 /usr/lib64/pulse-8.0/modules/module-card-restore.so
 mem       REG                8,2     78104 1739799 /usr/lib64/pulse-8.0/modules/module-stream-restore.so
 mem       REG                8,2    135144 1739737 /usr/lib64/pulse-8.0/modules/libprotocol-native.so
 mem       REG                8,2     39880 1739756 /usr/lib64/pulse-8.0/modules/module-device-restore.so
 mem       REG               0,18  67108904   22803 /dev/shm/pulse-shm-3646944109
 mem       REG               0,18  67108904   22802 /dev/shm/pulse-shm-750535326
 mem       REG                8,2 110566224 1704010 /usr/lib/locale/locale-archive
 mem       REG                8,2    179456 1712312 /usr/lib64/libvorbis.so.0.4.7
 mem       REG                8,2     27392 1704600 /usr/lib64/libogg.so.0.8.2
 mem       REG                8,2    479712 1710800 /usr/lib64/libpcre.so.1.2.6
 mem       REG                8,2    498056 1708088 /usr/lib64/libfreebl3.so
 mem       REG                8,2     19240 1720357 /usr/lib64/libattr.so.1.1.0
 mem       REG                8,2    691128 1719992 /usr/lib64/libvorbisenc.so.2.0.10
 mem       REG                8,2    370632 1720576 /usr/lib64/libFLAC.so.8.3.0
 mem       REG                8,2     48608 1720585 /usr/lib64/libgsm.so.1.0.12
 mem       REG                8,2    112376 1705185 /usr/lib64/libnsl-2.23.90.so
 mem       REG                8,2     90520 1713332 /usr/lib64/libgpg-error.so.0.17.0
 mem       REG                8,2    950512 1713664 /usr/lib64/libgcrypt.so.20.0.4
 mem       REG                8,2     72576 1702132 /usr/lib64/liblz4.so.1.7.1
 mem       REG                8,2    156336 1702663 /usr/lib64/liblzma.so.5.2.2
 mem       REG                8,2    114688 1705229 /usr/lib64/libresolv-2.23.90.so
 mem       REG                8,2    153152 1706389 /usr/lib64/libselinux.so.1
 mem       REG                8,2     64600 1712453 /usr/lib64/libXi.so.6.1.0
 mem       REG                8,2     74136 1728230 /usr/lib64/libXext.so.6.4.0
 mem       REG                8,2     19536 1702634 /usr/lib64/libuuid.so.1.3.0
 mem       REG                8,2     15072 1720495 /usr/lib64/libXau.so.6.0.0
 mem       REG                8,2    187680 1707186 /usr/lib64/libgomp.so.1.0.0
 mem       REG                8,2     92872 1704265 /usr/lib64/libgcc_s-6.0.0-20160302.so.1
 mem       REG                8,2     37152 1704608 /usr/lib64/libcrypt-2.23.90.so
 mem       REG                8,2   2182360 1704549 /usr/lib64/libc-2.23.90.so
 mem       REG                8,2   1172888 1704852 /usr/lib64/libm-2.23.90.so
 mem       REG                8,2     19744 1704681 /usr/lib64/libdl-2.23.90.so
 mem       REG                8,2     44056 1705236 /usr/lib64/librt-2.23.90.so
 mem       REG                8,2    147112 1705221 /usr/lib64/libpthread-2.23.90.so
 mem       REG                8,2     18608 1720363 /usr/lib64/libcap.so.2.24
 mem       REG                8,2    328752 1707425 /usr/lib64/libdbus-1.so.3.15.0
 mem       REG                8,2     40784 1713068 /usr/lib64/libltdl.so.7.3.1
 mem       REG                8,2     23272 1701049 /usr/lib64/libasyncns.so.0.3.1
 mem       REG                8,2    373360 1720587 /usr/lib64/libsndfile.so.1.0.25
 mem       REG                8,2     42288 1720444 /usr/lib64/libwrap.so.0.7.6
 mem       REG                8,2     44008 1720593 /usr/lib64/libjson-c.so.2.0.1
 mem       REG                8,2     23632 1700764 /usr/lib64/libXtst.so.6.1.0
 mem       REG                8,2     31528 1711698 /usr/lib64/libSM.so.6.0.1
 mem       REG                8,2    102736 1710362 /usr/lib64/libICE.so.6.3.0
 mem       REG                8,2    138520 1704729 /usr/lib64/libxcb.so.1.1.0
 mem       REG                8,2   1316816 1727974 /usr/lib64/libX11.so.6.3.0
 mem       REG                8,2      6712 1711129 /usr/lib64/libX11-xcb.so.1.0.0
 mem       REG                8,2    516816 1729078 /usr/lib64/pulseaudio/libpulsecommon-8.0.so
 mem       REG                8,2    190344 1710853 /usr/lib64/libsoxr.so.0.1.1
 mem       REG                8,2     77192 1720775 /usr/lib64/libspeexdsp.so.1.5.0
 mem       REG                8,2     90360 1719301 /usr/lib64/libtdb.so.1.3.8
 mem       REG                8,2    521488 1713411 /usr/lib64/liborc-0.4.so.0.23.0
 mem       REG                8,2    329088 1729060 /usr/lib64/libpulse.so.0.19.0
 mem       REG                8,2    686408 1739820 /usr/lib64/pulseaudio/libpulsecore-8.0.so
 mem       REG                8,2    182648 1700643 /usr/lib64/ld-2.23.90.so
 mem       CHR              116,3             17611 /dev/snd/pcmC0D0p
 mem       REG                8,2    134056 1712129 /usr/lib64/libudev.so.1.6.4
 DEL       REG               0,40             23178 /run/user/11641/orcexec.HFkJLB
 mem       REG                8,6     24576 8922761 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-card-database.tdb
 mem       REG                8,2    564112 1711629 /usr/lib64/libsystemd.so.0.14.0
 mem       REG                8,6     61440 8922751 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-stream-volumes.tdb
 mem       REG                8,6     61440 8922758 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-device-volumes.tdb
 mem       REG                8,2     38099  394153 /usr/share/locale/cs/LC_MESSAGES/pulseaudio.mo
 mem       REG                8,2     26254  264920 /usr/lib64/gconv/gconv-modules.cache
   0r      CHR                1,3       0t0    1036 /dev/null
   1w      CHR                1,3       0t0    1036 /dev/null
   2w      CHR                1,3       0t0    1036 /dev/null
   3r     FIFO               0,10       0t0   22801 pipe
   4u     unix 0xffff8801327e0000       0t0   24103 type=DGRAM
   5w     FIFO               0,10       0t0   22801 pipe
   6r     FIFO               0,10       0t0   22804 pipe
   7w     FIFO               0,10       0t0   22804 pipe
   8u     unix 0xffff8800a3883840       0t0   23014 /run/user/11641/pulse/native type=STREAM
   9u      REG                8,6     61440 8922758 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-device-volumes.tdb
  10u      REG                8,6     61440 8922751 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-stream-volumes.tdb
  11u      REG                8,6     24576 8922761 /home/kabi/.pulse/24ded0a55465036c7dd8650047065209-card-database.tdb
  12r  a_inode               0,11         0    8019 inotify
  13u  netlink                          0t0   22806 KOBJECT_UEVENT
  14u     unix 0xffff8801326fde00       0t0   22807 type=STREAM
  15u      CHR              116,2       0t0   17610 /dev/snd/controlC0
  16u  a_inode               0,11         0    8019 [eventfd]
  17u  a_inode               0,11         0    8019 [eventfd]
  18u  a_inode               0,11         0    8019 [eventfd]
  19u  a_inode               0,11         0    8019 [eventfd]
  20u     unix 0xffff8800a69e5680       0t0   23423 /run/user/11641/pulse/native type=STREAM
  21u  a_inode               0,11         0    8019 [eventfd]
  22u      CHR              116,2       0t0   17610 /dev/snd/controlC0
  23u  a_inode               0,11         0    8019 [eventfd]
  24u  a_inode               0,11         0    8019 [eventfd]
  25u  a_inode               0,11         0    8019 [eventfd]
  26u  a_inode               0,11         0    8019 [eventfd]
  27u      CHR              116,2       0t0   17610 /dev/snd/controlC0
  28u  a_inode               0,11         0    8019 [eventfd]
  29u     unix 0xffff8800a8e03840       0t0   22890 type=STREAM
  30u     unix 0xffff8800a8e03480       0t0   22893 /tmp/.esd-11641/socket type=STREAM
  31u     unix 0xffff8800a8e030c0       0t0   22895 /run/user/11641/pulse/native type=STREAM
  32r     FIFO               0,10       0t0   22897 pipe
  33r  a_inode               0,11         0    8019 inotify
  34u  a_inode               0,11         0    8019 [eventfd]
  35u  a_inode               0,11         0    8019 [eventfd]
  36u     unix 0xffff8800a38803c0       0t0   23019 /run/user/11641/pulse/native type=STREAM
  37u  a_inode               0,11         0    8019 [eventfd]
  38u  a_inode               0,11         0    8019 [eventfd]
  39u     unix 0xffff8801327e1680       0t0   23021 /run/user/11641/pulse/native type=STREAM
  40u  a_inode               0,11         0    8019 [eventfd]
  41u  a_inode               0,11         0    8019 [eventfd]
  42u     unix 0xffff8800a395d2c0       0t0   23307 /run/user/11641/pulse/native type=STREAM
  43u  a_inode               0,11         0    8019 [eventfd]
  44u  a_inode               0,11         0    8019 [eventfd]
  45u     unix 0xffff8800a395da40       0t0   23313 /run/user/11641/pulse/native type=STREAM
  46u  a_inode               0,11         0    8019 [eventfd]
  47u  a_inode               0,11         0    8019 [eventfd]
  48u     unix 0xffff88009e1652c0       0t0   24845 /run/user/11641/pulse/native type=STREAM
  49u  a_inode               0,11         0    8019 [eventfd]
  50u  a_inode               0,11         0    8019 [eventfd]
  51u      CHR              116,2       0t0   17610 /dev/snd/controlC0
  52u      CHR              116,3       0t0   17611 /dev/snd/pcmC0D0p
  53u     unix 0xffff8801325dd2c0       0t0   23433 /run/user/11641/pulse/native type=STREAM
  54u  a_inode               0,11         0    8019 [eventfd]
  55u  a_inode               0,11         0    8019 [eventfd]
  56u     unix 0xffff88009e3b0b40       0t0   23454 /run/user/11641/pulse/native type=STREAM
  57u  a_inode               0,11         0    8019 [eventfd]
  58u  a_inode               0,11         0    8019 [eventfd]
  59u     unix 0xffff88009e3b1a40       0t0   23464 /run/user/11641/pulse/native type=STREAM
  60u  a_inode               0,11         0    8019 [eventfd]
  61u  a_inode               0,11         0    8019 [eventfd]
  62u     unix 0xffff88009e3b2940       0t0   23474 /run/user/11641/pulse/native type=STREAM
  63u  a_inode               0,11         0    8019 [eventfd]
  64u  a_inode               0,11         0    8019 [eventfd]
  65u     unix 0xffff88001fa4b0c0       0t0  396432 /run/user/11641/pulse/native type=STREAM
  66u  a_inode               0,11         0    8019 [eventfd]
  67u  a_inode               0,11         0    8019 [eventfd]
  68u     unix 0xffff8800b4b952c0       0t0  734507 /run/user/11641/pulse/native type=STREAM
  69u  a_inode               0,11         0    8019 [eventfd]
  70u  a_inode               0,11         0    8019 [eventfd]
  71u     unix 0xffff8800a395e940       0t0  734512 /run/user/11641/pulse/native type=STREAM
  72u  a_inode               0,11         0    8019 [eventfd]
  73u  a_inode               0,11         0    8019 [eventfd]
  74u     unix 0xffff8800ba13c3c0       0t0  733945 /run/user/11641/pulse/native type=STREAM
  75u  a_inode               0,11         0    8019 [eventfd]
  76u  a_inode               0,11         0    8019 [eventfd]
Comment 4 Jan Kurik 2016-07-26 00:36:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 5 Peter H.S. 2016-10-03 16:32:12 EDT
I think I have this bug too, or at least a very similar bug. 

I am running F24 KDE Spin with all the latest updates as per 3. Oct. 2016

After resume there is no sound when using certain programs, at least for a while, while other programs have sound immediately. 
There seems to be a relation between how long the sound is gone and the clients as shown by a "pacmd list-clients".

1. If the first program I run after suspend is "VLC" then there isn't any sound. A "killall pulseaudio" re-enables sound when restarting "VLC".

2. If I start the "Amarok" music player as the first thing after resume, there is sound immediately no matter what, and a later start of "VLC" also immediately produces sound.

3. If I start "VLC" after resume and let it keep running, then a later start of "Amarok" doesn't enable sound, at least not immediately.

4. If I remove as many PA clients as I can (using the output of "pacmd list-clients") then "VLC" may start to produce sound after a second start.
The two removed clients are "Amarok" and "kmail" that has the "application.name = "Chrome input""



Below are the output of "pacmd list-sinks" after a resume.

*** No audio after resume with VLC running***

"pacmd list-sinks":

1 sink(s) available.
  * index: 0
        name: <alsa_output.pci-0000_00_1b.0.analog-stereo>
        driver: <module-alsa-card.c>
        flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME DYNAMIC_LATENCY
        state: SUSPENDED
        suspend cause: IDLE 
        priority: 9959
        volume: front-left: 65536 / 100% / 0,00 dB,   front-right: 65536 / 100% / 0,00 dB
                balance 0,00
        base volume: 65536 / 100% / 0,00 dB
        volume steps: 65537
        muted: no
        current latency: 0,00 ms
        max request: 0 KiB
        max rewind: 0 KiB
        monitor source: 0
        sample spec: s16le 2ch 48000Hz
        channel map: front-left,front-right
                     Stereo
        used by: 0
        linked by: 0
        configured latency: 0,00 ms; range is 0,50 .. 1837,50 ms
        card: 1 <alsa_card.pci-0000_00_1b.0>
        module: 7
        properties:
                alsa.resolution_bits = "16"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "AD1989B Analog"
                alsa.id = "AD1989B Analog"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "0"
                alsa.card = "0"
                alsa.card_name = "HDA Intel"
                alsa.long_card_name = "HDA Intel at 0xfe5f8000 irq 39"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:00:1b.0"
                sysfs.path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
                device.bus = "pci"
                device.vendor.id = "8086"
                device.vendor.name = "Intel Corporation"
                device.product.id = "3a3e"
                device.product.name = "82801JI (ICH10 Family) HD Audio Controller (P5Q Deluxe Motherboard)"
                device.form_factor = "internal"
                device.string = "front:0"
                device.buffering.buffer_size = "352800"
                device.buffering.fragment_size = "176400"
                device.access_mode = "mmap+timer"
                device.profile.name = "analog-stereo"
                device.profile.description = "Analog Stereo"
                device.description = "Built-in Audio Analog Stereo"
                alsa.mixer_name = "Analog Devices AD1989B"
                alsa.components = "HDA:11d4989b,10438311,00100300"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        ports:
                analog-output-lineout: Line Out (priority 9900, latency offset 0 usec, available: yes)
                        properties:

                analog-output-headphones: Headphones (priority 9000, latency offset 0 usec, available: no)
                        properties:
                                device.icon_name = "audio-headphones"
        active port: <analog-output-lineout>
***end***

*** With audio after resume with Amarok running***

"pacmd list-sinks":


1 sink(s) available.
  * index: 0
        name: <alsa_output.pci-0000_00_1b.0.analog-stereo>
        driver: <module-alsa-card.c>
        flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME DYNAMIC_LATENCY
        state: RUNNING
        suspend cause: 
        priority: 9959
        volume: front-left: 65536 / 100% / 0,00 dB,   front-right: 65536 / 100% / 0,00 dB
                balance 0,00
        base volume: 65536 / 100% / 0,00 dB
        volume steps: 65537
        muted: no
        current latency: 61,63 ms
        max request: 15 KiB
        max rewind: 344 KiB
        monitor source: 0
        sample spec: s16le 2ch 44100Hz
        channel map: front-left,front-right
                     Stereo
        used by: 1
        linked by: 1
        configured latency: 90,00 ms; range is 0,50 .. 2000,00 ms
        card: 1 <alsa_card.pci-0000_00_1b.0>
        module: 7
        properties:
                alsa.resolution_bits = "16"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "AD1989B Analog"
                alsa.id = "AD1989B Analog"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "0"
                alsa.card = "0"
                alsa.card_name = "HDA Intel"
                alsa.long_card_name = "HDA Intel at 0xfe5f8000 irq 39"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:00:1b.0"
                sysfs.path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"
                device.bus = "pci"
                device.vendor.id = "8086"
                device.vendor.name = "Intel Corporation"
                device.product.id = "3a3e"
                device.product.name = "82801JI (ICH10 Family) HD Audio Controller (P5Q Deluxe Motherboard)"
                device.form_factor = "internal"
                device.string = "front:0"
                device.buffering.buffer_size = "352800"
                device.buffering.fragment_size = "176400"
                device.access_mode = "mmap+timer"
                device.profile.name = "analog-stereo"
                device.profile.description = "Analog Stereo"
                device.description = "Built-in Audio Analog Stereo"
                alsa.mixer_name = "Analog Devices AD1989B"
                alsa.components = "HDA:11d4989b,10438311,00100300"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        ports:
                analog-output-lineout: Line Out (priority 9900, latency offset 0 usec, available: yes)
                        properties:

                analog-output-headphones: Headphones (priority 9000, latency offset 0 usec, available: no)
                        properties:
                                device.icon_name = "audio-headphones"
        active port: <analog-output-lineout>

***end***
Comment 6 Lucas Fernandes 2016-12-29 12:00:57 EST
I'm having a very similar problem. When I suspend the machine and then resume, the audio is always off. Looking into the audio settings, my device doesn't appear, I have to disconnect and connect it again.
Comment 7 Zdenek Kabelac 2017-01-02 09:55:28 EST
Yep - still observable on my rawhide (fc26) as well.

pulseaudio-9.0-1.fc25.x86_64

It just looks there is no interest to solve it....
Comment 8 anothergituser 2017-11-07 08:57:52 EST
Same here, pulseaudio stops working after logout and login back again.
More details here

https://github.com/linuxmint/Cinnamon/issues/6995

tl;dr
Comment out load-module module-esound-protocol-unix in /etc/pulse/default.pa and restart.

From what i read has to do with the esd socket in /tmp not being removed and pulseaudio can not start again, maybe.

https://bugs.freedesktop.org/show_bug.cgi?id=77895
Comment 9 Rex Dieter 2017-11-07 10:15:52 EST
This bug is specifically about suspend/resume (not logout)
Comment 10 Fedora End Of Life 2017-11-16 14:05:50 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Zdenek Kabelac 2017-11-16 16:45:32 EST
Still valid with Rawhide.....
Comment 12 Fedora End Of Life 2018-02-20 10:32:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.